Bug 1479903 - Review Request: yubikey-manager - python library and command line tool for configuring a YubiKey
Review Request: yubikey-manager - python library and command line tool for co...
Status: POST
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-08-09 13:26 EDT by Seth Jennings
Modified: 2017-08-21 22:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Seth Jennings 2017-08-09 13:26:22 EDT
Spec URL: https://www.variantweb.net/pub/review/python-yubikey-manager.spec
SRPM URL: https://www.variantweb.net/pub/review/python-yubikey-manager-0.4.0-1.fc26.src.rpm
Description: Python library and command line tool for configuring a YubiKey.
Fedora Account System Username: sjenning

yubioath-desktop v4 upstream depends on this package and can't be updated until it is available.
Comment 1 Robert-André Mauchin 2017-08-09 16:08:56 EDT

This looks good. Just one thing, you should use the %{py3_dist macro for your BR and R:
%{py3_dist six pyusb pyscard click cryptography pyOpenSSL}

See: https://fedoraproject.org/wiki/Packaging:Python#Requires_and_BuildRequires_with_standardized_names

Also you've got rpmlint errors because you Requires libusb and libu2f-host explicitly. You should not, dnf will pick the right libraries automatically.

Package Review

[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated",
     "*No copyright* BSD (unspecified)". 15 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/python-
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

[x]: Python eggs must not download any dependencies during the build
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -yubikey-manager , ykman
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Checking: python3-yubikey-manager-0.4.0-1.fc26.noarch.rpm
python3-yubikey-manager.noarch: E: explicit-lib-dependency libu2f-host
python3-yubikey-manager.noarch: E: explicit-lib-dependency libusb
ykman.noarch: W: no-documentation
ykman.noarch: W: no-manual-page-for-binary ykman
3 packages and 0 specfiles checked; 2 errors, 2 warnings.
Comment 2 Seth Jennings 2017-08-09 16:49:39 EDT
Thanks for the responsive review!  Less than 4 hours after submission.  Impressive :)

I made the recommended changes.
Comment 3 Robert-André Mauchin 2017-08-10 00:32:43 EDT
Everything is good, package accepted.
Comment 4 Seth Jennings 2017-08-11 23:34:47 EDT
Changing the src package name to from python-yubikey-manager to yubikey-manager and changing the CLI ykman package name to yubikey-manager to align with upstream debian package names.  No point in being different.  Plus is simplifies the spec file.
Comment 5 Gwyn Ciesla 2017-08-13 00:07:55 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/yubikey-manager
Comment 6 Gwyn Ciesla 2017-08-13 00:08:18 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/yubikey-manager
Comment 8 Seth Jennings 2017-08-21 22:48:11 EDT
f27 already existed (oops)

f27 build:

My plan is to bump yubioauth-desktop to v4 in f27 and add a dep on this package.

Note You need to log in before you can comment on or make changes to this bug.